Subject: bug#22295: viper-mode undo bug introduced between Nov 10 and Nov 14

From: [email-masked] (Phillip Lord)
Date: Mon, 23 May 2016 14:23:44 +0100

John Wiegley <[email-masked]> writes:

>>>>>> Eli Zaretskii <[email-masked]> writes:
>
>> FWIW, I think this should go to emacs-25, since (a) the changes affect only
>> viper-mode, and (b) users of that mode will be most unhappy without these
>> changes.
>
> I agree, Eli, let's push this to emacs-25.

All done.

I've added my tests as well -- should have done that in the same commit
I guess, but forgot. Hope that's okay on emacs-25.

Phil